com.fasterxml.jackson.databind.deser.impl

## Class JavaUtilCollectionsDeserializers

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.JavaUtilCollectionsDeserializers

-     public abstract class JavaUtilCollectionsDeserializers
      extends Object

  Helper class used to contain logic for deserializing "special" containers from `java.util.Collections` and `java.util.Arrays`. This is needed because they do not have usable no-arguments constructor: however, are easy enough to deserialize using delegating deserializer.
  Since:
    2.9.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_AS_LIST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaUtilCollectionsDeserializers()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonDeserializer<?>` | `findForCollection(DeserializationContext ctxt, JavaType type)`
    `static JsonDeserializer<?>` | `findForMap(DeserializationContext ctxt, JavaType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_AS_LIST

          public static final int TYPE_AS_LIST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JavaUtilCollectionsDeserializers

          public JavaUtilCollectionsDeserializers()

  - ### Method Detail

    - #### findForCollection

          public static JsonDeserializer<?> findForCollection(DeserializationContext ctxt,
                                                              JavaType type)
                                                       throws JsonMappingException

      Throws:
        `JsonMappingException`

    - #### findForMap

          public static JsonDeserializer<?> findForMap(DeserializationContext ctxt,
                                                       JavaType type)
                                                throws JsonMappingException

      Throws:
        `JsonMappingException`

Copyright © 2008–2020 FasterXML. All rights reserved.